#if !defined(AFX_OUTPUT_H__9777C5E0_74D9_11D2_8F2A_F2893C409B02__INCLUDED_)
#define AFX_OUTPUT_H__9777C5E0_74D9_11D2_8F2A_F2893C409B02__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class output  
{
private:
	int		gamecount;
	char*	sortorder_string (sort_t order);
	char*	weapon_name (int weapon);
	outputfile* out;
	configdata* config;
	resultdata* result;
	resultdata_total* result_total;
public:
	void	player_weapon_stats (player_t* player);
	char*	funname_to_html (char* name);
	char*	funname_to_ascii (char* name);
	void	game_data(int gamecount);
	void	game_info();
	void	table_kills_html(int weapon);
	void	list_players_total_html();
	void	list_players_html();
	char*	timestr_h (int sec);
	char*	timestr_m (int sec);
	int		time_h		(int seconds);
	int		time_m		(int seconds);
	int		time_s		(int seconds);
	output(resultdata* in_result, outputfile* in_out, configdata* in_config);
	output(resultdata_total* in_result_total, outputfile* in_out, configdata* in_config, int in_gamecount);
	virtual ~output();
};

#endif // !defined(AFX_OUTPUT_H__9777C5E0_74D9_11D2_8F2A_F2893C409B02__INCLUDED_)
