#if !defined(AFX_PLAYER_T_H__C69E3341_A2A0_11D3_8551_D1350833310F__INCLUDED_)
#define AFX_PLAYER_T_H__C69E3341_A2A0_11D3_8551_D1350833310F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define MAX_NAME_LEN 64

class player_t  
{
public:
	// functions
	void			init();
	void			add_ping(int ping);
	void			set_name (char* in_name);
	char*			get_name();
	int				get_frags();
	double			get_skill();
	double			get_eff();
	double			get_ratio();
	unsigned int	get_kills(int weapon);
	unsigned int	get_killed(int weapon);
	unsigned int	get_suicides(int weapon);
	unsigned int	get_kills();
	unsigned int	get_killed();
	unsigned int	get_suicides();
	player_t		operator= (player_t &other);
	player_t*		build_next();
	player_t();
	virtual ~player_t();
	// variables
	bool			listed;						// inited
	player_t*		next;
	int				botskill;					// inited & copied
	unsigned int	game_count;					// inited
	unsigned int	ping_count;					// inited & copied
	unsigned int	ping_sum;					// inited & copied
	unsigned short	kills[MAX_WEAPONS];			// inited & copied
	unsigned short	killed[MAX_WEAPONS];		// inited & copied
	unsigned short	suicides[MAX_WEAPONS];		// inited & copied
	unsigned short	deaths;						// inited & copied
	unsigned int	playtime;					// inited & copied
	unsigned short	mkiol;						// inited & copied
	unsigned short	mkiol_time;					// inited & copied
private:
	char			name[MAX_NAME_LEN];			// copied
	double			skill;						// inited & copied
	double			eff;						// inited & copied
	double			ratio;						// inited & copied
};

#endif // !defined(AFX_PLAYER_T_H__C69E3341_A2A0_11D3_8551_D1350833310F__INCLUDED_)
