/* Quake 3 Log Analyzer main include file
 * Created at 13 Dec 1999
 */

#ifndef Q3LA_MAIN_INCLUDE_FILE
#define Q3LA_MAIN_INCLUDE_FILE

#ifdef _DEBUG
#define TEST
#endif

#define MAX_CLIENTS 64
#define MAX_WEAPONS 32

const char version[]	= "build 030";
const char date[]		= "2000-02-14";
const char helpstr1[] = "Q3LA - Q3 Log Analyzer";
const char helpstr2[] = "Programmed by Fabian Huester, spike@planetquake.com";

enum sort_t {so_ratio, so_eff, so_skill, so_kills, so_name, so_frags, so_playtime};

#include <iostream.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <fcntl.h>
#include <string.h>
#include <math.h>
#include <stdarg.h>

#ifndef __LINUX_PLATFORM__
#include <io.h>
#include <direct.h>
#endif

#ifdef __LINUX_PLATFORM__
#include "linuxfunc.h"
#endif

#include "configdata.h"
#include "player_t.h"
#include "resultdata.h"
#include "analyzelog.h"
#include "error.h"
#include "resultdata_total.h"
#include "error.h"
#include "outputfile.h"
#include "output.h"
#include "q3la_main.h"
#include "diverse.h"
#include "html.h"

#endif
