#if !defined(AFX_CONFIGDATA_H__06BA3180_6EB4_11D2_8F2A_91728893B80B__INCLUDED_)
#define AFX_CONFIGDATA_H__06BA3180_6EB4_11D2_8F2A_91728893B80B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class configdata  
{
public:
	configdata ();
	virtual ~configdata	();
public: 
	// functions
	void			read_options(int argc, char **argv);
	void			read_cfg(char* cfg_str);
	// variables
	char			output_directory[256];
	char			homepage_address[256];
	char			homepage_string[256];
	char			configfile[256];
	unsigned int	min_kills;
	unsigned int	min_games;
	unsigned int	min_playtime;
	int				max_players;
	bool			limits_used;
	bool			no_bots;
	bool			q3ladata;
	bool			open_after;
	sort_t			sortorder_players;
private:
	void			get_word (char* pos, char* str);
	void			parse_cfg_line (char* line);
};

#endif // !defined(AFX_CONFIGDATA_H__06BA3180_6EB4_11D2_8F2A_91728893B80B__INCLUDED_)
