#if !defined(AFX_resultdata_H__41507800_6F5D_11D2_8F2A_B6712CEBA7CD__INCLUDED_)
#define AFX_resultdata_H__41507800_6F5D_11D2_8F2A_B6712CEBA7CD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

enum cs_t { never_connected, connected, disconnected };

typedef struct client_t {
	cs_t	status;
	int		player_id;
	int		connect_time;
} client_t;

class resultdata  
{
private:
	configdata* config;
	int make_sort(int p1, int p2);
	int player_count;
	int game_starttime;
	unsigned short kills[MAX_CLIENTS][MAX_CLIENTS][MAX_WEAPONS];
	client_t client[MAX_CLIENTS];
	player_t players[MAX_CLIENTS];
	int mkiol_temp[MAX_CLIENTS];
	int mkiol_time[MAX_CLIENTS];
public:
	void add_ping (int client_id, int ping);
	void delete_bots();
	void delete_nullplayers();
	// get values
	unsigned int	get_total_kills ();
	unsigned int	get_total_kills (int weapon);
	unsigned int	get_player_kills (int player);
	unsigned int	get_player_kills (int player, int weapon);
	unsigned int	get_player_killed (int player);
	unsigned int	get_player_killed (int player, int weapon);
	unsigned int	get_player_suicides (int player);
	unsigned int	get_player_suicides (int player, int weapon);
	unsigned short	get_kills (int player, int victim);
	unsigned short	get_kills (int player, int victim, int weapon);
	int				get_player_count();
	// variables
	char	mapname[64];
	int		timelimit;
	int		fraglimit;
	// diverse functions
	void init();
	int sort_players (sort_t order);
	player_t* get_player(int player_id);
	int add_player (void);
	int get_player_id(char* name);
	int add_kill (int killer, int victim, int weapon, int time);
	int client_info(int client_id, char *name, int botskill);
	int client_connect (int client_id, int connect_time);
	int client_disconnect (int client_id, int connect_time);
	int event_startofgame (int time);
	int event_endofgame (int time);
	resultdata(configdata* in_config);
	virtual ~resultdata();
};

#endif // !defined(AFX_resultdata_H__41507800_6F5D_11D2_8F2A_B6712CEBA7CD__INCLUDED_)
